<?php
include_once '../sys/inc/start.php';
$doc = new document();
$doc->title = 'Скрипты';

list($generic_msec,$generic_sec)=explode(chr('32'),microtime());
$generic_time=$generic_sec+$generic_msec;
$title='Архив скриптов';

if (empty($_GET['cat']) and empty($_GET['fid'])) {
if ($file=@file('base/index.id')) {
echo '<div class="header"><center>Разделы</center></div>
';
for($i=0; $i<count($file); $i++) {
$str=trim($file[$i]);
$array=explode('|',$str);
$cat=$array[0];
$dir=$array[1];
$name=$array[2];
$files=$array[3];
echo '<div class="row"><a href="?cat='.$cat.'">'.$name.'</a> ('.$files.')<br /></div>
';
}}} elseif (empty($_GET['fid'])) {
$cat=$_GET['cat'];
$page=@$_GET['page']?$_GET['page']:1;
if ($file=@file('base/'.$cat.'.cat')) {
$file2=@file('base/index.id');
for($i=0; $i<count($file2); $i++) {
$str=trim($file2[$i]);
$array=explode('|',$str);
if ($cat==$array[0]) {
$dir=$array[1];
$dirname=$array[2];
}}
echo '<div class="header"><center>'.$dirname.'</center></div>
';
$count=count($file);
$vsego=15;
$end=$page*$vsego;
$start=$end-$vsego;
for ($i=$start; $i<$end; $i++) {
if (!empty($file[$i])) {
$str=trim($file[$i]);
$array=explode('|',$str);
$fid=$array[0];
$filename=$array[1];
$size=$array[2];
echo '<div class="row"><a href="?cat='.$cat.'&amp;fid='.$fid.'">'.$filename.'</a> ('.$size.')<br /></div>
';
}}
$page_nav=ceil($count/$vsego);
/////////////
echo '<p>';
if ($page<=$page_nav and $page_nav>1) {
echo 'Страницы: ';
$pages=3; // Число ссылок
$link=0;
$link2=0;
if ($page>($page_nav-$pages)) {
$link2=$page_nav-$page;
$link2=$pages-$link2;
}
if ($page>($pages+1) and $page_nav>7) {
echo '<a href="?page=1&amp;cat='.$cat.'">1</a> ';
}
if (($page-$pages)>2 and $page_nav>8) {
echo ' ... ';
}
for ($i=(($page-$pages)-$link2); $i<$page; $i++) {
if ($i>0) {
echo '<a href="?page='.$i.'&amp;cat='.$cat.'">'.$i.'</a> ';
$link++;
}}
$link=$pages-$link;
echo '<b>'.$page.'</b> ';
for ($i=($page+1); $i<((($page+$pages)+1)+$link); $i++) {
if ($i<=$page_nav) {
echo '<a href="?page='.$i.'&amp;cat='.$cat.'">'.$i.'</a> ';
}}
if (($page+$pages)<($page_nav-1) and $page_nav>8) {
echo ' ... ';
}
if ($page<($page_nav-$pages) and $page_nav>7) {
echo '<a href="?page='.$page_nav.'&amp;cat='.$cat.'">'.$page_nav.'</a>';
}
echo '<br />';
}
echo '</p>
';
///////////
}} else {
$cat=$_GET['cat'];
$fid=$_GET['fid'];
if ($text=@file_get_contents('base/'.$fid.'.file')) {
$file=@file('base/index.id');
for($i=0; $i<count($file); $i++) {
$str=trim($file[$i]);
$array=explode('|',$str);
if ($cat==$array[0]) {
$dir=$array[1];
$dirname=$array[2];
}}
$file=@file('base/'.$cat.'.cat');
for($i=0; $i<count($file); $i++) {
$str=trim($file[$i]);
$array=explode('|',$str);
if ($fid==$array[0]) {
$filename=$array[1];
$size=$array[2];
echo '<div class="header"><center>'.$filename.'</center></div>
';
}}
$text=trim($text);
$text=nl2br($text);
echo '<div class="row_easy">
Размер файла: '.$size.'<br />
Описание: '.$text.'<br />
&#187; <a href="http://wapinet.ru/script/dl/'.$dir.'/'.$filename.'">Скачать</a><br />
</div>
';
}}

echo '<p>
';
if (!empty($_GET['cat'])) {
echo '- <a href="?">В начало</a><br />
';
}
if (!empty($_GET['fid'])) {
echo '- <a href="?cat='.$cat.'">'.$dirname.'</a><br />
';
}
list($generic_newmsec,$generic_newsec)=explode(chr('32'),microtime());
echo '- <a href="/">На главную</a><br />
</p>
<!-- // end body -->
&copy; <a href="http://prototide.ru">prototide.ru</a><br />
'.round((($generic_newsec+$generic_newmsec)-$generic_time),'4').'<br />
</body></html>';


?>